VisualEditor: Clear annotations icon no longer clearing link annotations
Closed, ResolvedPublic

Description

The formatting icons of the VisualEditor toolbar are currently "B" for bold, "I" for italics, the chain for links and the remove icon to clear formatting.

This series of icon seems to indicate that links are a kind of formatting. However; "Clear formatting" doesn't affect links; it only removes bold and italics.

Either links *are* a kind of formatting, and the "Clear formatting" action should remove them, or they aren't, and the Link icon shouldn't stand in the middle of icons that add and clear formatting. The current order and behavior are confusing.


Version: unspecified
Severity: normal

bzimport set Reference to bz50461.
gpaumier created this task.Via LegacyJun 30 2013, 2:02 PM
Jdforrester-WMF added a comment.Via ConduitJun 30 2013, 5:03 PM

This is a regression; it used to work fine - relabelling as such.

Jdforrester-WMF added a comment.Via ConduitJul 11 2013, 1:01 AM
  • Bug 51018 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitJul 15 2013, 11:07 PM

Change 73896 had a related patch set uploaded by Esanders:
Compare annotations by name only when clearing/toggling

https://gerrit.wikimedia.org/r/73896

gerritbot added a comment.Via ConduitJul 15 2013, 11:22 PM

Change 73896 merged by jenkins-bot:
Compare annotations by name only when clearing/toggling

https://gerrit.wikimedia.org/r/73896

Jdforrester-WMF added a comment.Via ConduitJul 15 2013, 11:29 PM

Fixed and will go out in a few minutes.

Mattflaschen removed a subscriber: Mattflaschen.Via WebDec 3 2014, 5:38 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.